/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, toNullable, Boolean_$type, Number_$type, markType } from "igniteui-webcomponents-core";
let FormatCellsDialogData = /*@__PURE__*/ (() => {
    class FormatCellsDialogData extends Base {
        constructor() {
            super();
            this.p = null;
            this.b = 0;
            this.q = null;
            this.j = 0;
            this.c = 0;
            this.i = null;
            this.z = toNullable(Boolean_$type, null);
            this.r = null;
            this.x = 0;
            this.aa = toNullable(Boolean_$type, null);
            this.ai = null;
            this.ab = toNullable(Boolean_$type, null);
            this.k = 0;
            this.l = 0;
            this.aj = null;
            this.m = 0;
            this.y = 0;
            this.s = null;
            this.d = 0;
            this.t = null;
            this.e = 0;
            this.u = null;
            this.f = 0;
            this.ac = toNullable(Boolean_$type, null);
            this.ad = toNullable(Boolean_$type, null);
            this.ae = toNullable(Boolean_$type, null);
            this.v = null;
            this.g = 0;
            this.af = toNullable(Number_$type, null);
            this.ag = toNullable(Boolean_$type, null);
            this.w = null;
            this.h = 0;
            this.n = 0;
            this.o = null;
            this.ah = toNullable(Boolean_$type, null);
        }
        a() {
            return this.memberwiseClone();
        }
    }
    FormatCellsDialogData.$t = /*@__PURE__*/ markType(FormatCellsDialogData, 'FormatCellsDialogData');
    return FormatCellsDialogData;
})();
export { FormatCellsDialogData };
